#!/bin/bash
# File managed by Ansible

# Set ansible variables to local variables
S3SYNC_BUCKET="s3://{{ s3sync_aws_bucket }}"
AWS_PROFILE="{{ _s3sync_aws_profile }}"

# Upload all new files
{% if s3sync_paths is defined %}
{%   for s3sync_path in s3sync_paths %}
SYNC_PATH="{{ s3sync_path }}"
S3SYNC_FULL_PATH=$S3SYNC_BUCKET$SYNC_PATH
if [ -e $SYNC_PATH ] ; then
    echo "aws s3 sync of $SYNC_PATH to $S3SYNC_FULL_PATH started"
{%     if s3sync_aws_delete %}
    /usr/local/bin/aws s3 sync "$SYNC_PATH" "$S3SYNC_FULL_PATH" --delete --no-progress --profile "$AWS_PROFILE" {{ exclusion_arguments }}2>&1
{%     else %}
    /usr/local/bin/aws s3 sync "$SYNC_PATH" "$S3SYNC_FULL_PATH" --no-progress --profile "$AWS_PROFILE" {{ exclusion_arguments }}2>&1
{%     endif %}
    exit_code=$?
    if [ $exit_code = "1" ] ; then
        echo "aws s3 sync of $SYNC_PATH failed with exit code $exit_code. All syncs aborted"
        exit $exit_code
    fi
    if [ $exit_code = "2" ] ; then
        echo "aws s3 sync of $SYNC_PATH returned with exit code $exit_code. Files were skipped, check the log for specifics."
    fi
    if [ $exit_code = "255" ] ; then
        echo "aws s3 sync of $SYNC_PATH failed with exit code $exit_code. Check the configuration of the aws client and try again. All syncs aborted"
        exit $exit_code
    fi
    echo "aws s3 sync of $SYNC_PATH to $S3SYNC_FULL_PATH completed"
else
    echo "$SYNC_PATH does not exist"
fi
{%   endfor %}
{% endif %}
